End-User License Agreement (EULA)

Important! Read the following terms carefully before installing, copying and/or using the product. Installing, copying or using the product indicates your acceptance of these terms.

This ABBYY End-User License Agreement ("EULA") is a legal agreement between the end user of the license rights granted herein (YOU) and ABBYY Software House (ABBYY), governing the rights to use the software (SOFTWARE) accompanying this agreement, including any and all associated media, printed materials, and "online" or electronic documentation protected by copyright laws. By installing, copying, or otherwise using the SOFTWARE, YOU agree to be bound by the terms of this EULA. If YOU do not agree with the terms of this EULA, do not use the SOFTWARE. YOU may obtain a refund of the amount YOU originally paid if YOU:

(i) Do not wish to use the SOFTWARE, and

(ii) Return the SOFTWARE, including all of the above-mentioned documentation, media and packaging, with the proof of payment, to the place where YOU bought the SOFTWARE, within the term provided by the Law of the country and the return policy of the location in which YOU purchased the SOFTWARE.

1. Grant of License

1.1 ABBYY grants YOU, the END USER, a non-exclusive license enabling YOU to use the SOFTWARE

1.2 All conditions stated below apply both to the SOFTWARE as a whole and to all of its separate components.

2. License

2.1 ABBYY Software House represents, warrants and guarantees that it has the full right, power, legal capacity, ability and authority to license and distribute the SOFTWARE, including all the images, photos, animations, audio-video components, music, text and "applets" incorporated into the SOFTWARE, as well as the accompanying printed materials and all of the SOFTWARE copies.

2.2 The SOFTWARE contains valuable trade secrets and confidential information belonging to ABBYY and is protected by copyright, including, without limitation, by United States Copyright Law, international treaty provisions, and the applicable laws of the country in which it is being used. Any use of the SOFTWARE outside of or in contravention of the terms and conditions of this EULA shall constitute a breach of the Company’s intellectual property rights and shall give cause for the revocation of all rights to use the SOFTWARE granted to YOU under this EULA.

2.3 YOU may make a one-time permanent transfer of this EULA and SOFTWARE PRODUCT only directly to an end user. This transfer must include all of the SOFTWARE (including all component parts, the media and printed materials, and any upgrades). Such transfer may not be by way of consignment or any other indirect transfer. The transferee of such one-time transfer must agree to comply with the terms of this EULA, including the obligation not to further transfer this EULA and SOFTWARE. YOU must uninstall the SOFTWARE from your computer or from your Local Area Network in the case of such SOFTWARE transfer.

3. Using the SOFTWARE

3.1 If your copy of the SOFTWARE is labeled "ABBYY FineReader 7.0 Professional", YOU may use one copy of the SOFTWARE only on one computer at a time. YOU may not use one copy of the SOFTWARE on more than one computer simultaneously.

3.2 If your copy of the SOFTWARE is labeled "ABBYY FineReader 7.0 Corporate Edition", YOU may use it within your Local Area Network. YOU may install the SOFTWARE on your network server and use one copy of the SOFTWARE only on one computer at a time. If YOU wish to use your copy of the SOFTWARE simultaneously on more than one computer, YOU must obtain concurrent use permits from ABBYY. YOU may also use the SOFTWARE as described in Section 3.1 of this EULA.

4. Portable Computer

4.1 In addition to your desktop computer YOU may copy and install this SOFTWARE onto YOUR portable computer, providing the license is not shared or used concurrently on YOUR desktop computer.

5. Dual-Media SOFTWARE

5.1 YOU may receive the SOFTWARE on more than one medium, including downloads over the Internet. Regardless of the number of media YOU receive, YOU are only licensed to use one copy of the SOFTWARE in accordance with Section 3 of this EULA.

6. END-USER Databases

6.1 YOU may create your own databases for the programs included in the SOFTWARE if such a feature is provided by this SOFTWARE.

7. Re-distribution of the SOFTWARE

7.1 Any re-distribution of the SOFTWARE is strictly prohibited. Re-distribution includes, but is not limited to: granting access to third parties, selling (except as described in Section 2.3.), renting, leasing, or lending the SOFTWARE.

8. Limitations

YOU may not perform or make it possible for other persons to perform any activities included in the list below:

8.1 Disassemble or decompile (i.e. extract the source code from the object code) the SOFTWARE (applications, databases, and other SOFTWARE components), except, and only to the extent, that such activity is expressly permitted by applicable law notwithstanding this limitation.

8.2 Modify the SOFTWARE, including making changes to the object code of applications and databases of the SOFTWARE other than those provided for by the SOFTWARE and described in the documentation.

8.3 Transfer any rights granted to YOU hereby and other rights related to the SOFTWARE to any other person.

8.4 Make it possible for any person not entitled to use the SOFTWARE and working in the same multi-user system as YOU to use the SOFTWARE.

9. Support Services

9.1 ABBYY may provide YOU with the support services related to the SOFTWARE ("Support Services"). All licensed users of the current and previous versions of the application are entitled to free technical support.

9.2 Support Services are performed in accordance with the terms of the User’s Manual, "online" documentation, and other materials provided by ABBYY. Any supplementary software code provided to YOU as part of Support Services is to be considered as part of the SOFTWARE and subject to the terms and conditions of this EULA.

9.3 To be eligible for Support Services, YOU are required to provide ABBYY with information about your computer’s characteristics as well as standard personal details.

9.4 ABBYY may use the above-mentioned information for its business purposes, including product support and development, provided that ABBYY does not utilize such information in any form that personally identifies YOU.

10. Not for Resale Software

10.1 If the SOFTWARE is labeled "Not for Resale" or "NFR", then, notwithstanding other sections of this EULA, YOU may only use such SOFTWARE for demonstration, verification or testing purposes.

11. Upgrades

11.1 If the SOFTWARE is labeled as an upgrade, YOU must be properly licensed to use a product identified by ABBYY as being eligible for the upgrade in order to use the SOFTWARE.

11.2 The SOFTWARE labeled as an upgrade replaces and/or supplements the product that formed the basis for your eligibility for the upgrade.

11.3 Once YOU have installed the upgraded product, your previous EULA is considered null and void.

11.4 YOU may only use the resulting upgraded product in accordance with the terms of the EULA with which the product is supplied.

11.5 YOU acknowledge that any obligation ABBYY may have to support the version of the SOFTWARE being upgraded shall end upon the availability of the Upgrade.

12. Termination

12.1 Without prejudice to any other rights, ABBYY may terminate this EULA if YOU fail to comply with the terms and conditions of this EULA.

12.2 In such an event, YOU must destroy all copies of the SOFTWARE, all of its component parts and uninstall the SOFTWARE.

13. Warranties and Indemnifications

13.1 ABBYY warrants that the media on which the SOFTWARE is furnished will be free from defects in materials and workmanship under normal use for a period set by the legislation of the country in which you have purchased the SOFTWARE starting from the date of purchase or distribution. If the SOFTWARE was purchased in the Russian Federation, this period will constitute 60 days starting from the date of purchase or distribution.

13.2 In all other respects, the SOFTWARE is supplied "as is". ABBYY does not guarantee that the SOFTWARE will carry no errors, nor will it take on any liability for damages, either direct or indirect, including, without limitation, damages for loss of business profits, business interruption, loss of business information, or any other pecuniary loss resulting from the use of the software, and damages caused by the possible errors or misprints in the SOFTWARE.

13.3 ABBYY does not warrant that the SOFTWARE will meet your requirements or that the SOFTWARE will work properly when used concurrently with any other software or hardware.

13.4 Except as expressly provided herein, ABBYY makes no other warranties, either expressed or implied, regarding the SOFTWARE, its merchantability, or its fitness for any particular purpose, and the entire risk as to the quality and performance of the SOFTWARE lies with YOU.

13.5 In any event, ABBYY’s sole obligation or liability under this EULA, regardless of the nature of the events that resulted in such an obligation or liability, shall not exceed the purchase price originally paid for the SOFTWARE.

14. Export Rules

14.1 If purchased in the United States, the SOFTWARE shall not be exported or re-exported in violation of any export provisions of the United States or any other applicable legislation.

15. Governing Law

15.1 If the SOFTWARE was purchased in any country except the United States, this EULA is subject to the law of the country in which YOU purchased the SOFTWARE.

15.2 If the SOFTWARE was purchased in the United States, this EULA will be governed by and construed in accordance with the substantial laws in force in the courts of Santa Clara County, State of California, United States of America. This EULA will not be governed by the conflict of law rules of any jurisdiction or the United Nations Convention on Contracts for the International Sale of Goods, the application of which is expressly excluded.

16. Miscellaneous

16.1 If YOU acquired the SOFTWARE via the Internet (including "Not for Resale" and/or "Upgrade" versions), ABBYY:

16.1.1 Expressly disclaims any warranty or liability obligations to YOU of any kind, and the SOFTWARE, including any related documentation, is provided "as is" without warranty or condition of any kind, either express or implied, including, without limitation, the implied warranties and conditions of merchantability, fitness for any particular purpose, or non-infringement;

16.1.2 Shall not provide YOU with any printed materials, including the User’s Manual;

16.1.3 YOU agree that YOU may not and certify that YOU will not sublicense, lease, loan, rent, or transfer the SOFTWARE.

16.2 Remuneration, according to this EULA, is defined as the purchase price of the SOFTWARE required by ABBYY or its distributors and must be paid according to the conditions established by them.

16.3 This EULA comes into force when YOU accept all the conditions stated herein by choosing the ”I accept the terms of the license agreement” declaration followed by the "Next" command on the monitor of your computer, and is binding for the entire period of the SOFTWARE copyright’s existence.

16.4 If YOU do not agree with the terms and conditions of the present license agreement, choose the "I do not accept the terms of the license agreement" declaration and proceed by selecting the "Cancel" command.

16.5 This Clause of the EULA is applicable only to the SOFTWARE the installation package of which includes a 3.5" floppy disk. If the medium is corrupted or there is no 3.5" floppy drive on your computer, the installation will be interrupted. To continue with the installation, you have to fill out a registration form and obtain an Installation Code. Depending on the type of registration you choose, the Installation Code will be

- sent to you by e-mail;

- provided to you on the registration web page;

- read to you over the telephone.

16.6 ABBYY Software House guarantees that all the personal information you provide when installing and registering the SOFTWARE will be stored and used strictly within the ABBYY Group.

17. Government Use

17.1 If use is made of the SOFTWARE by the United States Government or any US Government agency, the following additional terms shall apply: (1) Restricted Computer Software, as defined in the Rights in Data-General clause at Federal Acquisition Regulations 52.227-14; and (2) any use, duplication, or disclosure by the Government is subject to restrictions as set forth in subparagraph ©(1)(ii) of the Rights in Technical Data and Computer Software clause at DFARS 252.227-7013.

18. PDF2BMP

18.1. ABBYY FineReader 7.0 uses the PDF2BMP program for converting PDF format files into BMP format files. ABBYY Software House has no rights to the PDF2BMP program, which is an independent program, located in a separate folder, and distributed under the terms of GNU General Public License. The GNU GPL text is contained in the file named "COPYING" located in the PDF2BMP folder.

ABBYY Software House


Features of ABBYY FormFiller

ABBYY FormFiller allows you to fill in any form - a questionnaire, an application form - easily in a couple of minutes .

Contents:

  • What is ABBYY FormFiller?
  • Main ABBYY FormFiller Window and Toolbars


What is ABBYY FormFiller?

FormFiller is an additional form filling application which is supplied with ABBYY FineReader 7.0 Corporate Edition application.

Note: FormFiller is installed automatically with ABBYY FineReader 7.0 Corporate Edition in Typical and Custom installation modes. In order to install/reinstall FormFiller separately:
  • Run the FineReader installation program in the Custom mode and clear all checked items except FormFiller.

ABBYY FormFiller application allows you to fill in blank forms. Suppose you need to input some data into a blank form, please do the following:

  1. Scan the form or open the image file with its image. It will be displayed in the main FormFiller window.
  2. The Design mode is used to create and edit the form properties. The application must "know" where and what data to put on form, so you have to create and locate the fields on the form. You must also specify the font and font size and several other parameters that affect the way the data are displayed.
  3. The Form mode is used to input the data. Fill in the created fields with the necessary info and edit the way they are displayed if necessary.
  4. You can print the form with the input data or save it as image. The application allows you to print the form out in one of the following modes: blank form only (the scanned image), data only (in order to "print the data in" a blank paper form) or the data and form (the filled-in form as such).

Note:

  1. You only have to create the form with the given set of fields once, and then use it as many times as you need.
  2. You can fill in the same form with different data - and in automatic mode. Suppose you want to fill in a questionnaire, and you have an Excel worksheet or a database with the necessary info, entered by a group of people. All you have to do is to save the form into a CSV file and then use the Data Input Wizard to import the data from this CSV file. After that you will get as many forms as there are records in your CSV file. You may print these forms immediately or save them in *.tif files (each form in a separate file).


Main ABBYY FormFiller window

Main ABBYY FormFiller Window and Toolbars

Form display modes

There are two modes: design and form:

  • Use the design mode to create, set up and edit the form fields.
  • The form mode is used to input the data.

Use the following Standard toolbar button to switch between the modes:

  • - design mode;
  • - form mode.

When you scan a form or open an image file, the design mode is turned on automatically.

FormFiller toolbars

The toolbar buttons are the easiest way to activate the application functions. The same functions may be run from menus or by pressing hotkeys. If you'd like to know what a specific button is for, position the mouse pointer over the button and read the tooltip; the status bar will also display some info on the button.

Toolbar:
Formatting

Toolbar:
Design

Toolbar:
Standard

Note: The [image] button has several work modes. Click the arrow to the right of button to open the local menu and select a mode. The icon of the last selected mode will be shown on the button. If you want to run the last mode once more, just click on the button again. The icon will change if you selected an item in the File>New menu.


Acquiring the Image and its Processing in FormFiller

This chapter will teach you to scan your documents, to open the images you already have on your computer, to process the image and despeckle it, deskew it etc.

Chapter contents

  • Scanning
  • Opening Image Files and Form Files
  • Checking and Correcting the Open Image


Scanning

FormFiller communicates with the scanner via TWAIN-interface and uses the TWAIN-source dialog to set up the scanning options.

Important! In order to connect the scanner properly, please consult the scanner's documentation prior to using the application. Don't forget to install the software accompanying the scanner (TWAIN driver and/or scanning program) during scanner installation to ensure proper operation.

In order to scan:

Click this button or select the New>From Scanner item in the File menu. A scanning settings dialog will open. Set up the following parameters:
  • Image type - gray (256 shades) or black&white.
    If the form contains color elements (pictures, color letters or background) and you plan to print it out in color or save in a color image file, select the color image type.
  • Resolution - use 200 dpi for scanning in shades of gray and 300 dpi - for scanning in black&white or for forms set in a small font size (8 pts and less).
  • Brightness - an average value of 50% is good nearly in all cases.
    If the form is too dark or too light, change the brightness value. The brightness value should be adjusted so as to make sure all the form elements are retained on the image.

Click the Scan button. It may also be captioned as "Finish", depending on the scanner manufacturer.

Note: Scan a blank form.
Checking and correcting the image
Creating and editing the form fields
Saving the page image


Opening Image Files and Form Files

If you don't have a scanner, you can open an image file (*.bmp, *.tif, *.jpg, *pcx, *.png, *.dcx) containing a form image and fill-in this form.

To open an image:

  • Click the arrow to the right of the [image] Scan button and select the From Image file in the local menu.
  • Select the New>From Image File item in the File menu.

    Select the image in the Open dialog.

To open an already created form:

  • Click the arrow to the right of the [image] Scan button and select the From Form File item in the local menu.
  • Select the New>From Form File item in the File menu.

Note: The image is automatically opened in the Design mode.


Checking and Correcting the Image

You may: | In order to do this:
Despeckle the image | Select the Despeckle Image item in the Scan/Open Image tab (View>Options) in the Image Processing group before opening the image.
Correct the skew (removes the skew up to 7 degrees) | Select the Correct Skew in the Scan/Open Image tab (View>Options) in the Image Processing group before opening the image.
Invert image | Select the Invert Image item in the Image menu.
Rotate the image 90 degrees clockwise | Select the Rotate Clockwise item in the Image menu.
Rotate the image 90 degrees counter-clockwise | Select the Rotate Counter-clockwise item in the Image menu.
Rotate the image upside-down | Select the Rotate Upside Down item in the Image menu.
Flip the window around the horizontal axis | Select the Flip Horizontal item in the Image menu.
Flip the window around the vertical axis | Select the Flip Vertical item in the Image menu.
Zoom image in/out / | Select the Zoom In/Zoom Out buttons on the Standard toolbar. The image scale will double/halve.
Get image info | Right-click the image and select the Properties item in the local menu. A dialog will open, click the Image tab in the dialog.
Undo the last action | Click the Undo button on the Standard toolbar.
Redo the last action | Click the Redo button on the Standard toolbar to redo the last action.


Creating and Editing the Form Fields

After you've scanned the form, you see its image on the screen. In order for the application to "know" where and what data are located on the form, you must create and locate the fields. This section describes the data field types and their properties.

Contents

  • Data Field Types
  • Drawing and Editing the Fields
  • Setting up the Field Properties
    • General Properties
    • Formatting Properties
    • Advanced Properties


Data Field Types

Available data field types:

Text - a text field containing any text that may be typed or pasted from the clipboard. The values of a text field are displayed in the same way they are entered.

List - a text field with a limited and preset sets of values. For example, you may create a list of names of countries for the "Country" field, and then, during the data input, only select the necessary element from the drop-down list.

Date - a text field for date.

Checkmark - a field with two values allowed: "checked" and "not checked". For example, the "gender" field is usually drawn as two checkmarks with one of which you must check off.

Fields of different types have different color frames. You may change the frame colors on the General tab of the Options dialog (View>Options) in the Appearance group. Select the necessary object in the Item field and then the necessary color in the Color field.

Advanced Properties
Formatting Properties


Drawing and Editing the Fields

You can create and edit fields in the design mode.

You can: In order to do this:
Create a new field
, [image], [image],
  1. Select a field drawing tool.
  2. Click the place where you want the field to be, then hold the left mouse button down and drag the mouse to the place you want the opposite field corner to be.
  3. Release the mouse button. The image area you've selected will be enclosed in a frame.
Change the field type
  • Right-click the field and select the necessary item from the local menu.
Move the field border
  1. Click the field border.
  2. Hold the left mouse button down and drag the border where you want it.
  3. Release the button.

Note. If you clicked a field corner, both upper and side field borders will be moved.
Select a field or a group of fields
  • Select this tool and click the necessary field, or drag the mouse across the fields you want to select with left mouse button held down.

Note. To select several fields in a row, press and hold the SHIFT button (a field drawing tool must be selected) and click the fields. In order to unselect the field or add a new field to the selection, press and hold CTRL (a field drawing tool must be selected) and click the field.

Move a field
  • Press and hold the ALT button (a field drawing tool or Select Fields tool must be selected) and move the fields with the mouse.
Renumber the fields
  1. Select the Renumber fields item in the Format menu (CTRL+T).
  2. Click the fields in the order you want them to be.
Delete a field
  • Select a field and press Del.

Delete field contents
  • Select the Clear Field Data item in the Format menu.
Make the fields the same width
  1. Select the fields you want to change the size of.
  2. Open the Format menu and select the Make Same Size>Width.
Make the fields the same height
  1. Select the fields you want to change the size of.
  2. Open the Format menu and select the Make Same Size>Height.
Make the fields the same width and height
  1. Select the fields you want to change the size of.
  2. Open the Format menu and select the Make Same Size>Both.
Align the fields left
  1. Select the fields you want to align.
    Note. Only select fields from the same column.
  2. Open the Format menu and select the Field Alignment>Align Left item.
Center the fields horizontally
  1. Select the fields you want to align.
    Note. Only select fields from the same column.
  2. Open the Format menu and select the Field Alignment>Center Horizontally item.
Align the fields right
  1. Select the fields you want to align.
    Note. Only select fields from the same column.
  2. Open the Format menu and select the Field Alignment>Align Right item
Align the fields by the top edge
  1. Select the fields you want to align.
    Note. Only select fields from the same row.
  2. Open the Format menu and select the Field Alignment>Align Top item.
Center the fields vertically
  1. Select the fields you want to align.
    Note. Only select fields from the same row.
  2. Open the Format menu and select the Field Alignment>Center Vertically item.
Align the fields by the bottom edge
  1. Select the fields you want to align.
    Note. Only select fields from the same row.
  2. Open the Format menu and select the Field Alignment>Align Bottom item.

Data Field Types
Advanced Properties
Formatting Properties


Setting up the Field Properties

After the field is drawn, it's time to set up its properties. The set field properties depends on what information you intend to enter in the field.

  • General Properties
  • Formatting Properties
  • Advanced Properties


General Properties

General field properties are its name and number.

Field name

To change the field name:

  1. Right-click the field and select the Properties item in the local menu. The Properties dialog will open.
  2. Click the General tab and enter the necessary text in the Name field.

Note:

  1. If you import your data from CSV file, you must name the fields in the same way the respective CSV file columns are named, or the automatic field-column matching will fail.
  2. The Name field may be left empty.

Field number

The field number determines the order in which you browse the fields in design and form modes.

In order to change the field number:

  1. Select the Renumber Fields item in the Format menu or press CTRL+T.
  2. Click the fields in the order you want them to be.


Formatting properties

Location of text in the field

  • Simple field - the text is put in the field according to the alignment chosen.
  • Comb field - the field is cut into cells of the same width. Each cell may contain a single character. The number of cells is specified in the Length field. When you input your data, each character you enter is put into a separate cell. If the number of character you've entered is greater than the field length, the data entered are cut to fit the length.
  • Multi-line field - the field is cut into rows of equal height by horizontal lines (invisible on the printed out copy), the number of rows is specified in the Lines field.

To change the text alignment:

  1. Right-click the field and select the Properties item in the local menu.
  2. Select the necessary value on the Format tab in the Type field.

Font parameters and text alignment in the field

To change the font parameters and/or text alignment in the field:

  1. Click on a field.
  2. Click a button on the Formatting toolbar.

Note.

  1. You may also change the font parameters in the Font dialog (local menu>Properties>Format).
  2. You may also align the data in the Alignment dialog (local menu>Properties or in Format>Field Alignment).

Tip: To change the formatting of several fields at the same time:

  • Select the fields of the same type before you change the parameters (press and hold down Ctrl or Shift)


Advanced properties

Date field

The format of a Date field is, by default, the same as the date format set up for the computer you work on (Control Panel>Regional Settings>Date).

You can change the date format for your field:

  1. Right-click the field and select the Properties item in the local menu.
  2. Select the necessary value in the Type field on the Date tab.

If you choose the System short date and System long date values, the date field is formatted according to the format specified on the Windows control panel (Regional Settings>Date). In order to set up your own date format, select the Custom format value in the Type field and then enter the user format as set forth below in the Format field:

Description | How to get this
Date without leading zeroes | Enter one character - d for day, y — for year and M — for month. For example, the date June the 5th 2001 will look as follows in the d.M.y format - 5.6.1.
Zeroes before one-digit dates | Enter two characters, dd for day, yy — for year and MM — for month. For example, the date June the 5th 2001 will look as follows in the dd.MM.yy format - 05.06.01
Four-digit year | Enter yyyy for year. For example, the date June the 5th 2001 will look as follows in the dd.MM.yyyy format - 05.06.2001
Month acronyms | Enter MMM for month. For example, the date June the 5th 2001 will look as follows in the dd.MMM.yyyy format - 05 Jun 2001
Full month names | Enter MMMM for month. For example, the date June the 5th 2001 will look as follows in the dd.MMMM.yyyy format - 05 June 2001

List field

The field is a list of values you may select. You are advised to use this field type if the field info is a limited set of choices. A newly created field of List type has its value list empty. In order to add a value to the list:

  1. Right-click the field and select the Properties item in the local menu.
  2. Enter a value on the List tab and click the Add button.

Note: Each value must be added to the list by clicking the Add button.

To delete a value:

  • Select the value in the list and click the Delete button.

Checkmark field

The default way of displaying a checkmark field is a "check sign". You may select another sign with meaning "checkbox checked". It may be a cross, a dash, etc:

  1. Right-click the field and select the Properties item in the local menu.
  2. Select the necessary value in the Type field on the Checkmark tab.


Filling in the Form

After you've drawn the form fields and assigned their properties, you can now begin to fill in the form. You can fill the form in automatically with data from a CSV file (via Data Import Wizard) or enter the data manually. The data input is performed in the form mode. You can also format the fields in this mode: select the font and the font size, change the text alignment in field or edit the entered data.

Contents:

  • Manual Data Input
  • Automatic Form Filling-in with Data from CSV File


Manual Data Input

You can enter the data into each field manually, by typing it. The data input and editing is performed in form mode.

Click a field in order to enter data into it. The selected field is highlighted in yellow.

In order to move to the next (previous) field:

  • Press Tab (Shift+Tab).

If the field contain cells, each character you entered will be placed into a separate cell. If the field is a multi-line field, you must press ENTER when you like to enter a new line. In case you enter excess characters - more characters than the length of a cell field or more lines than a multi-line field properties specify, the data you input is cut.

Filling in the fields

Text field
  • Click the field and enter data. If necessary, change the field formatting.

List field

  • Click the arrow to the right of the List field and select the necessary value from the list displayed.
    If the necessary value doesn't feature in the list, add it.

Date field

  • Click the field. The current date in the selected format will be displayed.

In order to choose other date:

  • Click the arrow to the right of the field and select the necessary date from the displayed calendar.

Checkmark field

A checkmark field may be either "checked" or "not checked". To switch between the values, press the spacebar or click the field.


Automatic form filling-in with data from CSV file

You can fill the form in manually, by typing the data, but you may also fill the form in automatically, by importing the necessary data from a CSV file. This is a convenient way to fill in many forms in one process. In order to perform the automatic import, the form fields and the CSV file column must be connected. Automatic connection requires the names of the forms fields and the respective CSV file columns to be the same. You may then print the filled-in forms or save them as images.
Note. Any database or Excel worksheet may be saved into a CSV file.

To fill the form in automatically from a CSV file:

  1. Select the Data Import Wizard item in the File menu.
  2. Select the CSV file with the data to be used and click Next.
  3. To specify in what form field to input what data from a CSV file column, you must set up the connections between the form fields and the CSV file columns in the Linking dialog: just select the form field in the Form fields list and a CSV file column in the CSV columns and click the Link button. The selected pair will be displayed in the Linked fields list.
    Note: If the form fields and the respective CSV file columns have the same names, you can just click the Automatically button.
  4. Click Next.
  5. If the data to be imported contain dates or checkmarks, you must specify the values of the Checkmark field (what characters or character combination is equivalent to a checkbox that is "checked", and what is equivalent to "not checked") and the date format in order to have them processed correctly. You can do so in the Input formats dialog in the Checkmark field values in imported CSV file group: just enter the needed values in the "ON" values and "OFF" values items and click Add. The list of values will be updated with the newly entered values. To delete a value from the list, select the value and click Delete.
    The date format is specified in the Date format in imported CSV file group.
  6. Click Next. The Output dialog will open. Specify the following in the dialog:
    • If the first line of CSV file contains the names of fields, select the List with header row checkmark in the Header row group.
    • Select the data input mode:
    1. Print filled forms.
      In this case the forms are filled in and printed out; no saving takes place.
      Note: We advise you to set up the printing options before clicking Next, just click the Print Setup button.
    2. Save the filled out forms to files.

      In this case the forms are filled in and saved into the folder specified in the Save In field. You can open the saved forms and edit them in FormFiller.

    3. Save filled forms as images.

      In this case, the forms are filled-in and saved as image files of *.tif format. The folder in which the images are saved is specified in the Save In field when you click the Browse button.

  7. Click Next. The Result window will open. It will list the names of the created form files and the import errors and warnings, if there were any.


Saving form and printing it out

Saving and Printing The Form

You may save the filled-in form in an image file format or file of *.fff extension - the format of the FormFiller application. When you print out your finished form, you have the option of printing the filled-in form, the data only (to print on an existing form), or the only a blank form.

  • Printing the Form Out

  • Saving the Page Image


Printing the Form Out

You can print an entirely filled-in form, a blank form, or you can print only data. When you select the Print item in the File menu (or click the Print button in the Print Preview mode), a Print dialog opens. You may select the printer on which to print the form and set up the necessary printing settings in this dialog. If you click the toolbar button, the printing begins immediately and current printing settings are used.

Choosing the print mode

You can choose from the following print modes:

  • Both the form blank and the input data
  • Data only
  • Blank form

In order to choose the print mode:

  • Click the necessary radio button in the Print settings group on the Print tab in the Options (View>Options) dialog.

In order to change the printer settings:

  • Select the Print Setup item in the File menu. The Print dialog will open. Set up the necessary parameters in the dialog.

Print preview mode

You may preview the form before printing it out:

  • Click the Print Preview [image] button on the Standard toolbar.
  • Select the Print Preview item in the File menu.

By default, the whole form is displayed on the screen in the preview mode. You may, however, change the display scale by clicking the Zoom in or Zoom out buttons.

To quit the print preview mode and return to the last mode you were using, click Close.


Saving the Page Image

You can print your form from FormFiller application, save it to work on the form later, or you may save the form image (both blank form and filled-in form). If you choose to save your form in a file of *.fff format - the format of FormFiller application - the resulting file will contain the scanned blank form image, the fields you've drawn on it together with their properties.

To save the form in *.fff

  1. Select the Save As item in the File menu. The Save As dialog will open.
  2. Select the disk and the folder to save the file into in the dialog.
  3. Name the file.
  4. Click Save.

Note: You can save a copy of an already existing form, just select the Save Copy As item in the File menu.

To save the form as an image file:

  1. Select the Save As Image item in the File menu. The Save As Image dialog will open.
  2. Select the disk and the folder to save the file into in the dialog, together with the file format.
  3. Name the file.
  4. Click Save.


FormFiller Hotkeys

Hotkey | Effect
File menu
CTRL + N | Create a new form, from a scanned image or an image file (depending on the mode of [image] button)
CTRL + O | Open a form file
CTRL + S | Save the form
CTRL + W | Open the Data Import Wizard
CTRL + P | Print the document
Edit menu
ALT + BackSpace, CTRL + Z | Undo the last action
CTRL + Y | Redo the last action
CTRL + X | Cut the selected object and placing it in clipboard (form mode)
CTRL + C | Copy the selected object and putting it in clipboard (form mode)
CTRL + V | Paste the object in the clipboard in the current form position (form mode)
CTRL + A | Select all
Del | Delete the selected fields (design mode) or the field contents (form mode)
CTRL + G | Go to the field with the given number
View menu
F5 | Switch to the Design mode for creation and editing the form fields
F6 | Switch to the Form mode for entering the form data
CTRL + SHIFT + gray '+' | Zoom in on the image
CTRL + SHIFT + gray '-' | Zoom out on the image
CTRL + SHIFT + gray '/' | Change the image scale so that it fits the entire screen
CTRL + SHIFT + gray '*' | Change the image scale so that only the current field will be displayed
CTRL + SHIFT + O | Open the Options dialog
Format menu
ALT + ENTER | Open the Properties dialog
CTRL + Del | Delete field text
CTRL + 0 | Select tool: object selection
CTRL + 1 | Select tool: create of a text field
CTRL + 2 | Select tool: create of a list field
CTRL + 3 | Select tool: create of a date field
CTRL + 4 | Select tool: create of a checkmark field
ALT + left arrow | Align fields left
SHIFT + F9 | Center fields horizontally
ALT + right arrow | Align fields right
ALT + down arrow | Align fields bottom
CTRL + F9 | Center the fields vertically
ALT + up arrow | Align the fields top
CTRL + F8 | Make fields the same width
SHIFT + F8 | Make fields the same height
CTRL + SHIFT + F8 | Make fields the same width and height
CTRL + T | Renumber the fields
Help menu
F1 | Open the help file
Field formatting keys
CTRL + B | Switch on boldface
CTRL + I | Switch on italics
CTRL + U | Underline text in the selected field


Menus

  • File
  • Edit
  • View
  • Image
  • Format
  • Help


File Menu

The File Menu

Menu item: | Action:
New/From Scanner | Opens scanner's TWAIN-driver dialog. Set up the scanning parameters in the dialog and scan the form. The image you've scanned will open in the design mode.
New/From Image File | Opens an image file. The image you've selected will open in the design mode.
New/From Form File | Creates a new document based on an already existing form file.
Open | Opens an existing form.
Save | Saves the current form.
Save As | Saves the current form under another name, in another folder or in another format. Subsequent work will now be saved on to the new file.
Save Copy As | Saves the current form under another name, in another folder or in another format. Subsequent will still be saved on to the original source file.
Save As Image | Saves the form in an image file (*.bmp, *.tif, *.jpg, *pcx, *.png, *.dcx).
Data Import Wizard | Runs the Data import wizard that allows you to fill the form in with data from CSV file.
Print Setup | Opens the Print dialog. Set up the printing parameters in the dialog.
Print Preview | Displays the form the way it will be printed.
Print | Opens the Print dialog to print the form in the way set up on the Print tab (View>Options); you may change the printer settings.
Exit | Closes the application.


Edit menu

The Edit Menu

Menu item: | Action:
Undo | Undo the last action.
Redo | Redo the last action.
Cut | Delete the selection and puts it in Clipboard.
Copy | Copy the selection to Clipboard
Paste | Paste text from Clipboard.
Select all | Selects all fields and their text.
Delete | Delete the field (design mode) or field text (form mode).
Go to | Activate the field with the given number.


View menu

The View menu

Menu item: | Action:
Design View | Display the form in design mode (used to create and edit fields).
Form View | Display the form in form mode (used to fill in the form).
Standard Toolbar | Shows/hides Standard toolbar. To display the toolbar, put a check to the left of the item.
Formatting Toolbar | Shows/hides Formatting toolbar. To display the toolbar, put a check to the left of the item.
Design Toolbar | Shows/hides Design toolbar. To display the toolbar, put a check to the left of the item.
Status bar | Shows/hides status bar. To display the toolbar, put a check to the left of the item.
Scale/... | Changes the way the form is displayed on screen. Select the Fit width to remove the horizontal scrolling. Select the Fit height to remove the vertical scrolling. Select the Best fit to display the entire form. Use Zoom In (Zoom Out) items to double (halve) the scale Use the Zoom to selection to change the scale so that the active field will be zoomed in.
Options | Opens the Options dialog; there are General, Scan/Open Image and Print tabs in the dialog.


Image Menu

The Image menu

Menu item: | Action:
Rotate Clockwise | Rotates the image 90° clockwise.
Rotate Upside Down | Rotates the image upside down (180°).
Rotate Counter-clockwise | Rotates the image 90° counter-clockwise.
Flip Horizontal | Flips the image horizontally.
Flip Vertical | Flips the image vertically.
Invert Image | Inverts the image. Increases the recognition quality of inverted images (white characters against black background).


Format Menu

The Format menu

Menu item: | Action:
Properties... | Open the Properties dialog that displays the info on the type and size of the image, the image resolution. If you activate a field, the dialog will also report the field properties.
Clear Fields Data | Delete the text from the selected field.
Choose a tool>Draw Text Field | Select a text field.
Choose a tool>Draw List Field | Select a list field.
Choose a tool>Draw Date Field | Select a date field.
Choose a tool>Draw Checkmark Field | Select a checkmark field.
Choose a tool>Select Object | Move the field borders or select to modify field. To select and move several fields, drag the arrow over the fields you want to select.
Field Alignment>Align Left | Aligns the field margins with the left margin of the last selected field.
Field Alignment>Center Horizontally | Aligns the field margin horizontally with the center of the last selected field.
Field Alignment>Align Right | Aligns the field margins with the right margin of the last selected field.
Field Alignment>Align Top | Aligns the field margins with the top margin of the last selected field.
Field Alignment>Center Vertically | Aligns the field centers vertically with the center of the last selected field.
Field Alignment>Align Bottom | Aligns the field margins with the bottom margin of the last selected field.
Make Same Size>Width | Makes the selected fields the same width as the last selected field.
Make Same Size>Height | Makes the selected fields the same height as the last selected field.
Make Same Size>Both | Makes the selected fields the same width and height as the last selected field.
Renumber Fields | Renumbers the fields. The numbering reflects the way the fields will be filled in.


Help Menu

The Help menu

Menu item: | Action:
Help | Opens the help file.
Technical Support | Opens the Technical support page of the help file.
About | Brief info on FormFiller.


Dialog: Options, Tab: General

Option name

Option description
"General settings" group
Interface language | Allows you to select the interface language. All system messages, dialog captions, button and menu items will be in the selected language. To change the interface language, select the necessary value from the list, click OK and restart ABBYY FormFiller for the change to place.
"Appearance" group
Color | Allows you to set up the color you want for the field frames (a color for each field type), uncertain characters, etc. Select the object in the Item list and then the color in the Color list.
Fields frames width | Specifies the thickness of a frame in pixels.


Dialog: Options, Tab: Print

Option name

Option description
"Print settings" group
Both form template and fields entries | Both form and data are printed in this mode.
Fields entries only | Only form data are printed in this mode (it is useful if you have pre-printed blank forms and just need to "print in" the data).
Form template only | Only the blank form is printed out in this mode.


Dialog: Options, Tab Scan/Open Image

Option name

Option description
"Scanner" group
"Select source" button | Allows you to select the scanner with which ABBYY FormFiller will be using to scan. The name of the selected scanner will appear in the TWAIN driver line.
"Image processing" group
Correct skew | Automatically corrects the skew (up to 7 degrees) that appeared during scanning.
Despeckle image | Automatically despeckles the image.
Convert color and gray images to black and white | Useful for saving the disk space; you may use it if the image has no color pictures, color font or color background or if you don't need to retain the color.


Dialog: Properties, Tab: Alignment

Option name

Option description
"Horizontal" group
Left | Aligns the selected field text left.
Center | Centers the selected field text horizontally.
Right | Aligns the selected field text right.
"Vertical" group
Top | Aligns the selected field text top.
Center | Centers the selected field text vertically.
Bottom | Aligns the selected field text bottom.


Dialog: Properties, Tab: Checkmark

Option name

Option description
Type Allows you to select the visual style of the Checkmark field. You may select from check sign (default), cross, dash, etc.


Dialog: Properties, Tab: Date

Option name

Option description
Type

If you choose the System short date and System long date values, the date field is formatted according to the format specified on the Windows control panel (Regional Settings>Date). To set up your own custom date format, select the Custom format value in this field and then enter the user format in the Format field.
Format Specifies the format if the Custom Format option is on:
Description | How to get this
Dates without leading zeroes | Enter one character - d for day, y — for year and M — for month
Zeroes before one-digit dates | Enter two characters, dd for day, yy — for year and MM — for month.
Two-digit year | Enter yy for year.
Four- digit year | Enter yyyy for year.
Month acronyms | Enter MMM for month.
Full month names | Enter MMMM for month.


Dialog: Properties, tab: Format

Option name

Option description
Type

Specifies the text format for field:

  • Simple field - the text is put in the field according to the alignment chosen.
  • Comb field - the field is cut into cells of the same width. Each cell may contain a single character. The number of cells is specified in the Length field. When you input your data, each character you enter is placed into a separate cell. If the number of character you've entered is greater than the field length, the data entered are cut to fit the length.
  • Multi-line field - the field is cut into rows of equal height by horizontal lines (invisible on the printed out copy), the number of rows is specified in the Lines field.
Length | Specifies the number of cells for a comb field.
Lines | Specifies the number of lines for a multi-lines field.
Font | Specifies the font, its size and style for the current field. Click the [image] button to modify.
Resize font to fit to field height | Select this option to have the application set up the font automatically for the current size of field.


Dialog: Properties, Tab: Image

Allows you to get the form image info.

Option name

Option description
Height, width | Image height and width in pixels.
Resolution | Resolution of the image in dots per inch (dpi).
Color Type | Specifies the image type (black & white, gray, color).


Dialog: Properties, Tab: General

Option name

Option description

Name Names the current field.
Note: If you import data from CSV file, the automatic connection will only be possible if CSV columns and the respective form fields have the same names.
Field | Specifies the field type (text, list, date or checkmark).
Number | Specifies the number of the current field. This number reflects the order in which the fields are dealt with in form and design mode.


Dialog: Properties, Tab: List

There are two windows in the dialog: the first window is for adding of a value to the list, the second window is the list of added values.

Button name

Option description
Add | Adds the value entered in the first window to the list. If the value is many-lined, the end-of-line character is replaced by the [image] character that serves as the end-of-line.
Delete | Removes the selected value from the list.
Move Up | Moves the selected value up the list.
Move Down | Moves the selected value down the list.


Data Import Wizard - Selecting the CSV File

Option name

Option description
Look in | Specifies the full path to the CSV file.
"Browse" button | Opens the Open dialog. Specify the CSV file in the dialog.


Data Import Wizard - Connection

Data Import Wizard - Linking

Option name

Option description
Form fields | List of all form fields.
CSV columns | List of all CSV file columns.
"Link" button | Allows you to specify in which field to put the data from specific CSV file column. pair up the Form fields and CSV columns and click Link. The linked fields will be added to the Linked fields list.
"Automatically" button | Allows you to connect the form fields and the CSV file columns with the same field names automatically
Linked fields | The list of all connected fields.
"Delete" button | Removes the link from the Linked fields list.
"Delete all" button | Removes all the links from the Linked fields list.


Data Import Wizard - Input Formats

Option name

Option value
"Checkmark field values in imported CSV file" group
"ON" values | Enter the value which corresponds to "checkbox checked" in this field.
"Add" button | Click this button to add the entered value to the list.
"Delete" button | Click this button to remove the entered value to the list.
"OFF" values | Enter the value which corresponds to "checkbox not checked" in this field.
"Data format in imported CSV file"
Date format | Select a date format.


Data Import Wizard - Output

Option name

Option description
"Header row" group
List with header row | Allows you to specify that the imported CSV file contains a row with field names. The data from this row won't be used for filling the form.
"Output" group
Print filled forms The forms are filled in and printed but they aren't saved to disk.
Note: We advise you to set up the printing options before clicking Next, just click the Print Setup button.
"Print setup" button | Opens the Print dialog. You may set up the printing parameters in the dialog.
Save filled forms to files

Forms are filled in and the saved into the folder specified in the Folder field. You may open the saved forms and edit them in FormFiller.

Save filled forms as images

The forms are filled-in and saved as image files in *.tif format. The folder in which the images are saved is specified in the Folder field when you click the Browse button.

Save in | Specifies the folder in which the saved forms will be placed in.
"Browse" button | Opens the Select Output Folder dialog. You may select or change the output folder in the dialog.


Data Import Wizard - Result

This window lists the names of the files created, as well as data import errors and warnings, if there were any.


Dialog: TWAIN-source selection

Dialog: Select TWAIN Source

Allows you to select the scanner ABBYY FormFiller will work with. The name of the selected driver will be placed in the TWAIN-driver field on the Scan/Open Image tab (View>Options).


Go to field

Go To

Activates the field with the specified number.


Technical Support

If you have any questions on how to use FineReader, please consult the documentation you have (the User's Guide and the Help File) prior to contacting our technical support service. You can also browse the technical support section on our website www.abbyy.com, where you may find the answers to most frequently asked questions.

Our technical support service experts will need the following information to answer your question competently:

  • your first and last name
  • your organization name
  • your telephone number (or fax, or e-mail)
  • the serial number of your FineReader distributive
  • build number (see Help/About.../Build)
  • general description of your problem and the full error message text (if there was one)
  • you computer and processor type
  • the version of your Windows operating system

You may supply us with any other information you consider important.

You can get some information automatically by clicking the System Info button in the About ABBYY FormFiller dialog (menu Help).


How to Buy ABBYY FormFiller

Please visit our website www.abbyy.com for detailed information on our products.

To order our products from Russia you should download the order form, fill it out, print it out, sign it and send it to us by fax +7 095 956 4787. Your purchases will be sent to you via "TNT Express Worldwide" delivery service within 7 days of receiving your order form.

You can buy our software directly from us or our resellers. Please see prices listed on our price list on the website.

Note: Please visit our website for a full list of our resellers. The list is regularly updated.